Subject: Re: What's cooking in git.git (Nov 2025, #08; Tue, 25)

From: Junio C Hamano <[email-masked]>
Date: Wed, 26 Nov 2025 09:04:42 -0800

Junio C Hamano <[email-masked]> writes:

> Christian Couder <[email-masked]> writes:
>
>> Not sure why but you seem to be the author of the "fast-import: add
>> 'strip-if-invalid' mode to --signed-commits=<mode>" commit now:
>
> Most likely "commit --fixup amend:$THAT" followed by
> "rebase --autosquash $THAT~1", which is the only major thing I
> started using recently, that went bad.  
>
> Thanks for noticing.

Corrected.  I do not think this was "--fixup amend:$THAT"; rather
the application of the patch heavily conflicted and I had to
recreate a clean patch myself to apply, and at that point I probably
forgot to double check the author identity of the resulting commit.